#ifndef __CMDREPLYMD5SUM_H__
#define __CMDREPLYMD5SUM_H__

#include "CmdReply.h"

namespace Aspera {

namespace Command {

    class Buffer;

    /*! \brief
    *  Class to parse and hold the md5 sum of a file
    */
    class CmdReplyMd5sum : public CmdReply
    {

    private:
        const static char Md5sum = 0x01;
        char* md5sum;

    public:
        int processMsgBuffer(Buffer *rawBuffer);
        CmdReplyMd5sum(CommandClientImpl *cc);
        ~CmdReplyMd5sum();
        /*! \brief
        *  Prints a summary of the reply to the as_md5sum command
        */
        void printReply();
        /*! \brief
        *  Returns the md5sum as null terminated string(array of characters)
        */
        char* getMd5sum();
    };
}
}
#endif
